Package org.gradle.plugins.ide.eclipse.model

## Class Container

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.Container

- All Implemented Interfaces:
    `ClasspathEntry`

      public class Container
      extends AbstractClasspathEntry

  A container classpath entry.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Container​(Node node)` |
    `Container​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKind()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Container

          public Container​(Node node)

    - #### Container

          public Container​(java.lang.String path)

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`